diff more/native-build-from-build.sh @ 1193:6173bb6f3b2c

Three convenience scripts to bounce off build/system-image-$ARCH and run stuff out of there in one go.
author Rob Landley <rob@landley.net>
date Thu, 05 Aug 2010 12:08:02 -0500
parents
children b89324905ca2
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/more/native-build-from-build.sh	Thu Aug 05 12:08:02 2010 -0500
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Run native build out of build directory, using host-tools.sh if
+# available.
+
+PATH="$(pwd)/build/host:$PATH"
+
+X=$(readlink -f "$2" 2>/dev/null)
+if [ -z "$X" ]
+then
+  echo "No control image $2" >&2
+  exit 1
+fi
+
+cd build/system-image-"$1" && ./native-build.sh "$X"